Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLElementContainer

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLElementContainer

Direct Known Subclasses:
  HTMLDiv, HTMLDocument, HTMLForm, HTMLMenu, HTMLScriptFunction, HTMLTableRow, HTMLToolBar

public class HTMLElementContainer
extends HTMLElement

This class serves as a container for HTML elements. When it renders, it calls the `render(PrintWriter)` method on its containees.

Version:
  PUBLIC

Field Summary
`protected java.util.Vector` | `Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLElementContainer()`

Method Summary
`void` | `addElement(HTMLElement elem)` Adds an element to the collection of elements to be rendered
`void` | `addForm(HTMLForm aForm)` Adds an HTML form to the HTML document.
`void` | `addHeader(int nLevel, java.lang.String sHeader)` Add a Header control the level parameter specifies H1, H2 up to H6.
`void` | `addImage(java.lang.String sName)` Adds an image to the document.
`void` | `addImageClass(java.lang.String sName, java.lang.String sClass)` Adds an image to the document.
`void` | `addImageURL(HTMLImageURL aURL)` Adds an image URL to the document.
`void` | `addTable(HTMLTable aTable)` Adds an HTML table to the document.
`void` | `addTextURL(HTMLTextURL aURL)` Adds a text URL to the document.
`void` | `addToolBar(HTMLToolBar aBar)`
`protected HTMLElement` | `elementAt(int nIndex)`
`void` | `endCenter()` Stops the HTML document's centered mode.
`protected int` | `numberOfElements()`
`void` | `render(java.io.PrintWriter out)` Renders the container's header, contained objects and footer.
`protected void` | `renderContainerFooter(java.io.PrintWriter out)`
`protected void` | `renderContainerHeader(java.io.PrintWriter out)`
`protected void` | `renderElementFooter(java.io.PrintWriter out)`
`protected void` | `renderElementHeader(java.io.PrintWriter out)`
`void` | `skipLine(int nTimes)` Causes nTimes lines to be skipped.
`void` | `startCenter()` Starts the HTML document centered mode.

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Elements

    protected java.util.Vector Elements

Constructor Detail

### HTMLElementContainer

    public HTMLElementContainer()

Method Detail

### addElement

    public void addElement(HTMLElement elem)

  Adds an element to the collection of elements to be rendered

### numberOfElements

    protected int numberOfElements()

  Returns:
    the number of elements that have been added so far.

### elementAt

    protected HTMLElement elementAt(int nIndex)

  Returns:
    The element at the provided index

### addHeader

    public void addHeader(int nLevel,
                          java.lang.String sHeader)

  Add a Header control the level parameter specifies H1, H2 up to H6.

### addForm

    public void addForm(HTMLForm aForm)

  Adds an HTML form to the HTML document. The HTML form is populated via the HTMLForm interfaces. Once you have populated the form, yoou may add it the the HTMLDocument.

### addImage

    public void addImage(java.lang.String sName)

  Adds an image to the document.

### addImageClass

    public void addImageClass(java.lang.String sName,
                              java.lang.String sClass)

  Adds an image to the document.

### addToolBar

    public void addToolBar(HTMLToolBar aBar)

### addImageURL

    public void addImageURL(HTMLImageURL aURL)

  Adds an image URL to the document.

### addTextURL

    public void addTextURL(HTMLTextURL aURL)

  Adds a text URL to the document.

### addTable

    public void addTable(HTMLTable aTable)

  Adds an HTML table to the document.

### startCenter

    public void startCenter()

  Starts the HTML document centered mode. All objects added to the document when it's in centered mode will be centered in the rendered page. If you call StartCenter() you must remember to call EndCenter().

### endCenter

    public void endCenter()

  Stops the HTML document's centered mode.

### skipLine

    public void skipLine(int nTimes)

  Causes nTimes lines to be skipped.

### renderContainerHeader

    protected void renderContainerHeader(java.io.PrintWriter out)
                                  throws java.lang.Exception

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)
                                  throws java.lang.Exception

### renderElementHeader

    protected void renderElementHeader(java.io.PrintWriter out)
                                throws java.lang.Exception

### renderElementFooter

    protected void renderElementFooter(java.io.PrintWriter out)
                                throws java.lang.Exception

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Renders the container's header, contained objects and footer.
  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD